#ifndef _Handle_PGeom2d_Conic_HeaderFile
#define _Handle_PGeom2d_Conic_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Curve_HeaderFile
#include <Handle_PGeom2d_Curve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Curve);
class PGeom2d_Conic;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_Conic);

class Handle(PGeom2d_Conic) : public Handle(PGeom2d_Curve) {
  public:

    Handle(PGeom2d_Conic)():Handle(PGeom2d_Curve)() {} 
    Handle(PGeom2d_Conic)(const Handle(PGeom2d_Conic)& aHandle) : Handle(PGeom2d_Curve)(aHandle) 
     {
     }

    Handle(PGeom2d_Conic)(const PGeom2d_Conic* anItem) : Handle(PGeom2d_Curve)((PGeom2d_Curve *)anItem) 
     {
     }

    Handle(PGeom2d_Conic)& operator=(const Handle(PGeom2d_Conic)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_Conic)& operator=(const PGeom2d_Conic* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_Conic* operator->() const 
     {
      return (PGeom2d_Conic *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_Conic) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
